package com.ruoyi.bst.model.service;

import java.util.List;
import com.ruoyi.bst.model.domain.Model;
import com.ruoyi.bst.model.domain.ModelVO;
import com.ruoyi.bst.model.domain.ModelQuery;

/**
 * 型号列表Service接口
 *
 * @author ruoyi
 * @date 2025-04-23
 */
public interface ModelService
{
    /**
     * 查询型号列表
     *
     * @param modelId 型号列表主键
     * @return 型号列表
     */
    public ModelVO selectModelByModelId(Long modelId);

    /**
     * 查询型号列表列表
     *
     * @param model 型号列表
     * @return 型号列表集合
     */
    public List<ModelVO> selectModelList(ModelQuery model);

    /**
     * 新增型号列表
     *
     * @param model 型号列表
     * @return 结果
     */
    public int insertModel(Model model);

    /**
     * 修改型号列表
     *
     * @param model 型号列表
     * @return 结果
     */
    public int updateModel(Model model);

    /**
     * 批量删除型号列表
     *
     * @param modelIds 需要删除的型号列表主键集合
     * @return 结果
     */
    public int deleteModelByModelIds(Long[] modelIds);

    /**
     * 删除型号列表信息
     *
     * @param modelId 型号列表主键
     * @return 结果
     */
    public int deleteModelByModelId(Long modelId);

    int logicDel(List<Long> ids);

    /**
     * 查询单个型号
     */
    ModelVO selectOne(ModelQuery query);

    /**
     * 根据ids查询型号列表
     */
    List<ModelVO> selectModelListByIds(List<Long> ids);
}
